# field

- TYPE NAME;
  This form creates a field, bound to name, that can be used within the current class, or on instances of the current class. This field will have the declared type and will be assigned a default value if it is not assigned.
- TYPE NAME`=` EXPRESSION;
  This form creates a field, bound to name, with the value of the evaluated expression. It can be used within the current class, or on instances of the current class.
- TYPE DECL-INIT , DECL-INIT ...;
  This form creates multiple fields of the given type, both with and without values.

ProfessorJ Intermediate Language